Subject: bug#57212: 29.0.50; [PATCH] Citizen's arrest of end-of-defun-moves-to-eol

From: Gregory Heytings <[email-masked]>
Date: Mon, 15 Aug 2022 19:44:32 +0000

>
> If you're convinced narrowing within a critical section of redisplay is 
> safe (and I suspect it is), do it all the time, not just when 
> "long_line_optimizations_p" is true.
>

That might indeed be what Emacs could do in the long term, once we have 
enough experience with it.  But it is way too soon to do that now.  FYI, 
you can already do it unconditionally by setting long-line-threshold to 0.